import { Story } from '@storybook/react';
import { TimePicker } from './Time';
import { TimePickerProps, KeyboardTimePickerProps } from '@material-ui/pickers';
declare const _default: {
    title: string;
    component: typeof TimePicker;
    argTypes: {
        label: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        ampm: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        autoOk: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disableFuture: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        openTo: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        views: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        color: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        variant: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const DefaultTime: Story<TimePickerProps>;
export declare const TimeLabel: Story<TimePickerProps>;
export declare const WithSeconds: Story<TimePickerProps>;
export declare const TimeStaticVertical: Story<TimePickerProps>;
export declare const TimeStaticHorizontal: Story<TimePickerProps>;
export declare const KeyboardInput: Story<KeyboardTimePickerProps>;
