import { Story } from '@storybook/react';
import { SwitchProps } from '@mui/material';
import { Switch } from './Switch';
declare const _default: {
    title: string;
    component: typeof Switch;
    argTypes: {
        id: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        checked: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        color: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disableRipple: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        edge: {
            control: string;
            options: (string | boolean)[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        required: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        size: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        value: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        onChange: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<SwitchProps>;
export declare const Primary: Story<SwitchProps>;
export declare const Secondary: Story<SwitchProps>;
export declare const Disabled: Story<SwitchProps>;
export declare const CustomIcon: Story<SwitchProps>;
export declare const StatefulSwitch: Story<SwitchProps>;
